# Package weka.classifiers.trees.m5

package weka.classifiers.trees.m5

Related Packages
Package
Description
weka.classifiers.trees
weka.classifiers.trees.adtree
weka.classifiers.trees.ft
weka.classifiers.trees.j48
weka.classifiers.trees.lmt
Class
Description
CorrelationSplitInfo
Finds split points using correlation.
Impurity
Class for handling the impurity values when spliting the instances
M5Base
M5Base.
PreConstructedLinearModel
This class encapsulates a linear regression function.
Rule
Generates a single m5 tree or rule
RuleNode
Constructs a node for use in an m5 tree or rule
SplitEvaluate
Interface for objects that determine a split point on an attribute
Values
Stores some statistics.
YongSplitInfo
Stores split information.